Element.prototype.hasClassName = function (a) {
    return new RegExp("(?:^|\\s+)" + a + "(?:\\s+|$)").test(this.className);
};

Element.prototype.addClassName = function (a) {
    if (!this.hasClassName(a)) {
        this.className = [this.className, a].join(" ");
    }
};

Element.prototype.removeClassName = function (b) {
    if (this.hasClassName(b)) {
        var a = this.className;
        this.className = a.replace(new RegExp("(?:^|\\s+)" + b + "(?:\\s+|$)", "g"), " ");
    }
};

Element.prototype.toggleClassName = function (a) {
  this[this.hasClassName(a) ? "removeClassName" : "addClassName"](a);
};

var init = function() {
      var boxContainer = document.querySelector('.container'),
          kocka = document.getElementById('kocka'),
          optionsContainer = document.getElementById('opcije');
        
    	  perspectiveOrigin = { x: 50, y: 50 },
          // get -vendor- prefix css property
          perspectiveProp = 'perspective',	
		  perspectivePropO = '-o-perspective',
		  perspectivePropW = '-webkit-perspective',
		  perspectivePropM = '-moz-perspective',
          perspectiveOriginProp = 'perspectiveOrigin',
		  perspectiveOriginPropO = '-o-perspectiveOrigin',
		  perspectiveOriginPropW = '-webkit-perspectiveOrigin',
		  perspectiveOriginPropM = '-moz-perspectiveOrigin',

          updatePerspectiveOrigin = function() {
            boxContainer.style[ perspectiveOriginProp ] =
              perspectiveOrigin.x + '% ' + perspectiveOrigin.y + '%';
			boxContainer.style[ perspectiveOriginPropO ] =
              perspectiveOrigin.x + '% ' + perspectiveOrigin.y + '%';
			boxContainer.style[ perspectiveOriginPropM ] =
              perspectiveOrigin.x + '% ' + perspectiveOrigin.y + '%';
			boxContainer.style[ perspectiveOriginPropW ] =
              perspectiveOrigin.x + '% ' + perspectiveOrigin.y + '%';
			  
          };

      optionsContainer.querySelector('.perspective input').addEventListener( 'change', function( event ){
        boxContainer.style[ perspectiveProp ] = event.target.value + 'px';
		boxContainer.style[ perspectivePropM ] = event.target.value + 'px';
		boxContainer.style[ perspectivePropW ] = event.target.value + 'px';
		boxContainer.style[ perspectivePropO ] = event.target.value + 'px';
		document.getElementById("rangeOutputP").innerHTML = event.target.value + 'px';
      }, false);

      optionsContainer.querySelector('.perspective-origin-x input').addEventListener( 'change', function( event ){
        perspectiveOrigin.x = event.target.value;
		document.getElementById("rangeOutputPOx").innerHTML = event.target.value + '%';
        updatePerspectiveOrigin();
      }, false);

      optionsContainer.querySelector('.perspective-origin-y input').addEventListener( 'change', function( event ){
        perspectiveOrigin.y = event.target.value;
		document.getElementById("rangeOutputPOy").innerHTML = event.target.value + '%';
        updatePerspectiveOrigin();
      }, false);

      optionsContainer.querySelector('.rotation button').addEventListener( 'click', function(){
        kocka.toggleClassName('rotiranje');
      }, false);

      optionsContainer.querySelector('.visibility button').addEventListener( 'click', function(){
        kocka.toggleClassName('nevidljiv');
      }, false);

    };

    window.addEventListener( 'DOMContentLoaded', init, false);
 